Uses of Class
wicket.Component

Packages that use Component
wicket The core Wicket package. 
wicket.markup.html Base package of HTML markup. 
wicket.markup.html.basic Basic HTML components. 
wicket.markup.html.border Border components. 
wicket.markup.html.debug Classes that make debugging Wicket HTML applications easier. 
wicket.markup.html.form HTML Forms and form components. 
wicket.markup.html.form.upload Support for upload forms (using multipart requests). 
wicket.markup.html.form.validation Support for form validation. 
wicket.markup.html.image Image components. 
wicket.markup.html.image.resource Resource support for image components. 
wicket.markup.html.link Link components. 
wicket.markup.html.list List components for tabular data and such. 
wicket.markup.html.pages Default special purpose pages for error and feedback support. 
wicket.markup.html.panel Panel components. 
wicket.markup.html.tree   
wicket.model Core model support for Wicket components. 
wicket.protocol.http HTTP implementation. 
wicket.resource Locale aware resouce loaders. 
wicket.version.undo   
 

Uses of Component in wicket
 

Subclasses of Component in wicket
static class AutoLinkResolver.AutolinkBookmarkablePageLink
          Autolink components delegate component resolution to their parent components.
static class AutoLinkResolver.AutolinkExternalLink
          Autolink component delegate component resolution to their parent components.
 class MarkupContainer
          A MarkupContainer holds a map of child components.
 class Page
          Abstract base class for pages.
 

Methods in wicket that return Component
 Component MarkupContainer.get(java.lang.String path)
          Get a child component by looking it up with the given path.
 Component FeedbackMessage.getReporter()
          Gets the reporting component.
 Component Component.add(AttributeModifier modifier)
          Adds an attribute modifier to the component.
 Component Component.setShouldEscapeModelStrings(boolean escapeMarkup)
          Sets whether model strings should be escaped.
 Component Component.setVisible(boolean visible)
          Sets whether this component and any children are visible.
 

Methods in wicket with parameters of type Component
abstract  java.lang.String Page.urlFor(Component component, java.lang.Class listenerInterface)
          THIS METHOD IS NOT PART OF THE WICKET PUBLIC API.
 MarkupContainer MarkupContainer.add(Component child)
          Adds a child component to this container.
 void MarkupContainer.autoAdd(Component component)
          This method allows a component to be added by an auto-resolver such as AutoComponentResolver or AutoLinkResolver.
 boolean MarkupContainer.contains(Component component, boolean recurse)
           
 void MarkupContainer.internalAdd(Component child)
          THIS METHOD IS NOT PART OF THE WICKET PUBLIC API.
 MarkupContainer MarkupContainer.replace(Component child)
          Replaces a child component of this container with another
 java.lang.String Localizer.getString(java.lang.String key, Component component)
           
 java.lang.String Localizer.getString(java.lang.String key, Component component, IModel model)
           
 java.lang.String Localizer.getString(java.lang.String key, Component component, IModel model, java.util.Locale locale, java.lang.String style, java.lang.String defaultValue)
          Get the localized string using all of the supplied parameters.
 java.lang.String Localizer.getString(java.lang.String key, Component component, IModel model, java.lang.String defaultValue)
          Get the localized string for the given component.
 java.lang.String Localizer.getString(java.lang.String key, Component component, java.lang.String defaultValue)
          Get the localized string for the given component.
 void IPageVersionManager.componentAdded(Component component)
          Indicates that the given component was added.
 void IPageVersionManager.componentModelChanging(Component component)
          Indicates that the model for the given component is about to change.
 void IPageVersionManager.componentRemoved(Component component)
          Indicates that the given component was removed.
 void IFeedback.setCollectingComponent(Component collectingComponent)
          Sets the optional collecting component.
 java.lang.Object FeedbackMessagesModel.onGetObject(Component component)
           
protected  void FeedbackMessagesModel.onSetObject(Component component, java.lang.Object object)
           
 void FeedbackMessagesModel.setCollectingComponent(Component collectingComponent)
          Sets the optional collecting component.
 boolean FeedbackMessages.hasErrorMessageFor(Component component)
          Convenience method that looks up whether the given component registered a message with this list with the level ERROR.
 boolean FeedbackMessages.hasMessageFor(Component component)
          Looks up whether the given component registered a message with this list.
 boolean FeedbackMessages.hasMessageFor(Component component, int level)
          Looks up whether the given component registered a message with this list with the given level.
 FeedbackMessage FeedbackMessages.messageForComponent(Component component)
          Looks up a message for the given component.
 java.util.List FeedbackMessages.messages(Component component, boolean recurse, boolean stopAtBoundary, int fromLevel)
          Gets the list of messages relevant to a given component.
 boolean Component.isAncestorOf(Component component)
          Returns true if this component is an ancestor of the given component
 boolean Component.sameRootModel(Component component)
           
 java.lang.Object Component.IVisitor.component(Component component)
          Called at each component in a traversal.
 

Constructors in wicket with parameters of type Component
FeedbackMessagesModel(boolean includeNestedComponents, Component collectingComponent)
          Construct.
FeedbackMessagesModel(boolean includeNestedComponents, Component collectingComponent, java.util.Comparator sortingComparator)
          Construct.
 

Uses of Component in wicket.markup.html
 

Subclasses of Component in wicket.markup.html
 class WebComponent
          Base class for simple HTML components which do not hold nested components.
 class WebMarkupContainer
          A container of HTML markup and components.
 class WebPage
          Base class for HTML pages.
 

Methods in wicket.markup.html with parameters of type Component
 java.lang.String WebPage.urlFor(Component component, java.lang.Class listenerInterface)
          Returns a URL that references a given interface on a component.
 

Uses of Component in wicket.markup.html.basic
 

Subclasses of Component in wicket.markup.html.basic
 class Label
          A Label component replaces its body with the String version of its model object returned by getModelObjectAsString().
 class MultiLineLabel
          A MultiLineLabel component replaces its body with the model object.
 

Uses of Component in wicket.markup.html.border
 

Subclasses of Component in wicket.markup.html.border
 class Border
          A border component has associated markup which is drawn and determines placement of any markup and/or components nested within the border component.
 class BoxBorder
          A very simple border component that draws a thin black line around its children.
 

Uses of Component in wicket.markup.html.debug
 

Subclasses of Component in wicket.markup.html.debug
 class WicketComponentTree
          This is a simple Wicket component that displays all components of a Page in a table representation.
 

Uses of Component in wicket.markup.html.form
 

Subclasses of Component in wicket.markup.html.form
(package private)  class wicket.markup.html.form.AbstractChoice
          Abstract base class for all choice (html select) options.
(package private)  class wicket.markup.html.form.AbstractSingleSelectChoice
          Abstract base class for single-select choices.
(package private)  class wicket.markup.html.form.AbstractTextComponent
          Abstract base class for TextArea and TextField.
 class Button
          A form button.
 class CheckBox
          HTML checkbox input component.
 class DropDownChoice
          A choice implemented as a dropdown menu/list.
 class Form
          Base class for forms.
 class FormComponent
          An html form component knows how to validate itself.
 class ImageButton
          A button which renders itself as an image button resource.
 class ListChoice
          Essentially a drop down choice that doesn't drop down.
 class ListMultipleChoice
          A multiple choice list component.
 class PasswordTextField
          A password text field component.
 class RadioChoice
          A choice subclass that shows choices in radio style.
 class RequiredTextField
          A text field which automatically adds a RequiredValidator.
 class TextArea
          Multi-row text editing component.
 class TextField
          A simple text field.
 

Uses of Component in wicket.markup.html.form.upload
 

Subclasses of Component in wicket.markup.html.form.upload
 class FileUploadField
          Form component that corresponds to a <input type="file">.
 class UploadForm
          Form for handling (file) uploads with multipart requests.
 

Uses of Component in wicket.markup.html.form.validation
 

Subclasses of Component in wicket.markup.html.form.validation
 class FormComponentFeedbackBorder
          A border that can be placed around a form component to indicate when the bordered child has a validation error.
 

Methods in wicket.markup.html.form.validation with parameters of type Component
 void FormComponentFeedbackBorder.setCollectingComponent(Component collectingComponent)
           
 

Uses of Component in wicket.markup.html.image
 

Subclasses of Component in wicket.markup.html.image
 class Image
          An Image component displays a localizable image resource.
 

Uses of Component in wicket.markup.html.image.resource
 

Constructors in wicket.markup.html.image.resource with parameters of type Component
LocalizedImageResource(Component component)
          Constructor
 

Uses of Component in wicket.markup.html.link
 

Subclasses of Component in wicket.markup.html.link
 class BookmarkablePageLink
          Renders a stable link which can be cached in a web browser and used at a later time.
 class ExternalLink
          A simple anchor link (<a href="http://url">) pointing to any URL.
 class ImageMap
          An image map holds links with different hot-area shapes.
 class Link
          Implementation of a hyperlink component.
 class PageLink
          Links to a given page via an object implementing the IPageLink delayed linking interface.
 class PopupCloseLink
          Closes a popup window and cleans up any related session page map for the popup.
 class ResourceLink
          A link to any ResourceReference.
 

Uses of Component in wicket.markup.html.list
 

Subclasses of Component in wicket.markup.html.list
 class ListItem
          Container that holds components in a ListView.
 class ListView
          A ListView holds ListItem children.
 class Loop
          A very simple loop component whose model is an Integer defining the number of iterations the loop should render.
static class Loop.LoopItem
          Item container for a Loop iteration.
 class PageableListView
          PageableListView is similar to ListView but provides in addition pageable views.
 class PageableListViewNavigation
          A navigation for a PageableListView that holds links to other pages of the PageableListView.
 class PageableListViewNavigationIncrementLink
          An incremental link to a page of a PageableListView.
 class PageableListViewNavigationLink
          A link to a page of a PageableListView.
 class PageableListViewNavigator
          A Wicket panel component to draw and maintain a complete page navigator, meant to be easily added to any PageableListView.
 

Methods in wicket.markup.html.list with parameters of type Component
protected  java.lang.Object ListItemModel.onGetObject(Component component)
           
protected  void ListItemModel.onSetObject(Component component, java.lang.Object object)
           
 

Uses of Component in wicket.markup.html.pages
 

Subclasses of Component in wicket.markup.html.pages
 class ExceptionErrorPage
          Shows a runtime exception on a nice HTML page.
 class InternalErrorPage
          Internal error display page.
 class PageExpiredErrorPage
          Page expired error page.
 class RedirectPage
          Page that let the browser redirect.
 

Uses of Component in wicket.markup.html.panel
 

Subclasses of Component in wicket.markup.html.panel
 class FeedbackPanel
          A panel that displays FeedbackMessages in a list view.
 class Panel
          A panel is a reusable component that holds markup and other components.
 

Methods in wicket.markup.html.panel with parameters of type Component
 void FeedbackPanel.setCollectingComponent(Component collectingComponent)
          Sets the optional collecting component.
 

Uses of Component in wicket.markup.html.tree
 

Subclasses of Component in wicket.markup.html.tree
 class AbstractTree
          Base component for trees.
 class Tree
          An tree that renders as a flat (not-nested) list, using spacers for indentation and nodes at the end of one row.
protected  class Tree.DefaultNodePanel
          The default node panel.
protected  class Tree.NodePanel
          A panel for a tree node.
 

Uses of Component in wicket.model
 

Methods in wicket.model that return Component
 Component BoundCompoundPropertyModel.bind(Component component, java.lang.String ognlExpression)
          Adds a property binding.
 Component BoundCompoundPropertyModel.bind(Component component, java.lang.Class type)
          Adds a type conversion binding.
 Component BoundCompoundPropertyModel.bind(Component component, java.lang.String ognlExpression, java.lang.Class type)
          Adds a property and type conversion binding.
 

Methods in wicket.model with parameters of type Component
protected  java.lang.Object StringResourceModel.onGetObject(Component component)
          Gets the string that this string resource model currently represents.
protected  java.lang.String PropertyModel.ognlExpression(Component component)
           
protected  java.lang.Class PropertyModel.propertyType(Component component)
           
 java.lang.Object Model.getObject(Component component)
           
 void Model.setObject(Component component, java.lang.Object object)
          Set the model object; calls setObject(java.io.Serializable).
protected  java.lang.Object LoadableDetachableModel.onGetObject(Component component)
           
protected  void LoadableDetachableModel.onSetObject(Component component, java.lang.Object object)
           
 java.lang.Object IModel.getObject(Component component)
          Gets the model object.
 void IModel.setObject(Component component, java.lang.Object object)
          Sets the model object.
protected  java.lang.String CompoundPropertyModel.ognlExpression(Component component)
           
protected  java.lang.Class CompoundPropertyModel.propertyType(Component component)
           
 Component BoundCompoundPropertyModel.bind(Component component, java.lang.String ognlExpression)
          Adds a property binding.
 Component BoundCompoundPropertyModel.bind(Component component, java.lang.Class type)
          Adds a type conversion binding.
 Component BoundCompoundPropertyModel.bind(Component component, java.lang.String ognlExpression, java.lang.Class type)
          Adds a property and type conversion binding.
protected  java.lang.String BoundCompoundPropertyModel.ognlExpression(Component component)
           
protected  java.lang.Class BoundCompoundPropertyModel.propertyType(Component component)
           
protected  void AbstractReadOnlyDetachableModel.onSetObject(Component component, java.lang.Object object)
          This default implementation of onSetObject unconditionally throws an UnsupportedOperationException.
protected  java.lang.Object AbstractPropertyModel.modelObject(Component component)
           
protected abstract  java.lang.String AbstractPropertyModel.ognlExpression(Component component)
           
protected  java.lang.Object AbstractPropertyModel.onGetObject(Component component)
           
protected  void AbstractPropertyModel.onSetObject(Component component, java.lang.Object object)
          Applies the Ognl expression on the model object using the given object argument (Ognl.setValue).
protected abstract  java.lang.Class AbstractPropertyModel.propertyType(Component component)
           
 java.lang.Object AbstractDetachableModel.getObject(Component component)
           
 void AbstractDetachableModel.setObject(Component component, java.lang.Object object)
           
protected abstract  java.lang.Object AbstractDetachableModel.onGetObject(Component component)
          Called when getObject is called in order to retrieve the detachable object.
protected abstract  void AbstractDetachableModel.onSetObject(Component component, java.lang.Object object)
          Called when setObject is called in order to change the detachable object.
 

Constructors in wicket.model with parameters of type Component
StringResourceModel(java.lang.String resourceKey, Component component, IModel model)
          Construct.
StringResourceModel(java.lang.String resourceKey, Component component, IModel model, java.lang.Object[] parameters)
          Creates a new string resource model using the supplied parameters.
 

Uses of Component in wicket.protocol.http
 

Methods in wicket.protocol.http with parameters of type Component
 void MockHttpServletRequest.setRequestToComponent(Component component)
          Initialise the request parameters to point to the given component.
 

Uses of Component in wicket.resource
 

Methods in wicket.resource with parameters of type Component
 java.lang.String IStringResourceLoader.loadStringResource(Component component, java.lang.String key, java.util.Locale locale, java.lang.String style)
          Get the string resource for the given combination of component class, resource key, locale and style.
 java.lang.String ComponentStringResourceLoader.loadStringResource(Component component, java.lang.String key, java.util.Locale locale, java.lang.String style)
          Get the string resource for the given combination of key, locale and style.
 java.lang.String BundleStringResourceLoader.loadStringResource(Component component, java.lang.String key, java.util.Locale locale, java.lang.String style)
          Get the requested string resource from the underlying resource bundle.
 java.lang.String ApplicationStringResourceLoader.loadStringResource(Component component, java.lang.String key, java.util.Locale locale, java.lang.String style)
          Get the string resource for the given combination of key, locale and style.
 

Uses of Component in wicket.version.undo
 

Methods in wicket.version.undo with parameters of type Component
 void UndoPageVersionManager.componentAdded(Component component)
           
 void UndoPageVersionManager.componentModelChanging(Component component)
           
 void UndoPageVersionManager.componentRemoved(Component component)
           
 



Copyright © 2004-2005 Wicket developers. All Rights Reserved.